import 'package:flutter/material.dart';
import 'package:flutter_easyrefresh/easy_refresh.dart';
import 'package:gmalpha_flutter/macros/ALDevice.dart';
import 'package:flutter/semantics.dart';


class MessageHomePage extends StatefulWidget {
  @override
  _MessageHomePageState createState() => _MessageHomePageState();
}

class _MessageHomePageState extends State<MessageHomePage> {

  List<Map> commentsList=[{'name': '乔金柱1号'}, {'name': 'miga2号'}, {'name': 'flutter weex'}];

   GlobalKey<EasyRefreshState> _easyRefreshKey =new GlobalKey<EasyRefreshState>();
  GlobalKey<RefreshFooterState> _footerKey = new GlobalKey<RefreshFooterState>();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      // body: ListView(children: _getListData()),
      body: FutureBuilder(
        builder: (context, snapshot){
          // if (snapshot.hasData) {
            return EasyRefresh(
              refreshFooter: ClassicsFooter(
                key: _footerKey,
                moreInfo: '加载中',
                loadReadyText: '上拉加载',
                showMore: true,
              ), 
              child: ListView(
                children: <Widget>[
                  _comments(),
                ],
              ),
            );
          // } else {
          //   return Center(
          //     child: Text('加载中'),
          //   );
          // }
        },
      ),
    );
  }

 Widget _comments() {
   return Container(
     child: Column(
       children: <Widget>[
          _commentList()
       ],
     ),
   ); 
 }

 Widget _commentList() {
   List<Widget> listwidget = commentsList.map((val){
    return InkWell(
      child: Container(
        padding: EdgeInsets.all(5.0),
        width: ALDevice.width,
        child: Column(
          children: <Widget>[
            Image.network(''),
            Text(
              val['name'],
              maxLines: 2,
            ),
          ],
        ),
      ),
    );
   }).toList();
   return Wrap(
     spacing: 2,
     children: listwidget,
   );
 }

}

// class Comment extends StatelessWidget {
//   final List commentList;
//   Comment(Key key, this.commentList): super(key: key)
//   @override
//   Widget build(BuildContext context) {
//     return Container(
//         margin: EdgeInsets.only(top: 10.0),
//         child: Column(
//           children: <Widget>[
//             _titleWidget(),
//             _commentList(context)
//           ],
//         ),
//       );
//   }
// }